<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body" n:snippet="snipForm">

                {form form class}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row">
                        <div class="col-12 form-group">
                            {label subject /}
                            {input subject class => 'form-control'}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 form-group">
                            {label recipients /}
                            {input recipients class => 'form-control', data-tagsinput-type => 'email'}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 form-group">
                            {label preheader /} <sup class="fa-sm"><a href="#" class="fas fa-fw fa-info-circle cursor-help" data-toggle="popover" data-placement="right" data-trigger="focus hover" data-html="true" title="{_'mailing.form.edit.preheader.title'}" data-content='{_$preheaderTooltip|noescape}'></a></sup>
                            {input preheader class => 'form-control'}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 form-group">
                            {label content /}
                            {input content class => 'form-control',  data-tinymce => 'mail'}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 form-group">
                            <h6 class=" font-weight-bold text-primary">{_'mailing.form.edit.help'}</h6>
                            <div class="border-left-warning p-3" n:if="count($parameters) === 0">
                                {_'mailing.form.edit.help.no-parameter'}
                            </div>

                            <table class="table table-striped table-hover border-left-warning" n:if="count($parameters) !== 0">
                                <thead>
                                <tr>
                                    <td colspan="3">{_'mailing.form.edit.table.help'}</td>
                                </tr>
                                <tr>
                                    <th class="text-nowrap">{_'mailing.form.edit.table.name'}</th>
                                    <th class="w-25">{_'mailing.form.edit.table.description'}</th>
                                    <th class="w-50">{_'mailing.form.edit.table.example'}</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr n:foreach="$parameters as $parametr">
                                    <td class="text-nowrap" data-copy-to-clipboard="text">[{$parametr->getName()}]</td>
                                    <td>{_$parametr->getDescription()}</td>
                                    <td>{_$parametr->getExample()|noescape}</td>
                                </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>

                    {input send class => 'btn btn-primary w-100 w-md-auto mb-2'}
                    {input sendBack class => 'btn btn-outline-primary w-100 w-md-auto mb-2'}
                    {input back class => 'btn btn-light w-100 w-md-auto mb-2'}
                {/form}

            </div>
        </div>
    </div>

</div>